org.eclipse.gef.common.beans.binding

## Class ListExpressionHelperEx<E>

- java.lang.Object
- - org.eclipse.gef.common.collections.ListListenerHelperEx<E>
  - - org.eclipse.gef.common.beans.binding.ListExpressionHelperEx<E>

Type Parameters:
  `E` - The element type of the `ListExpression`.

    public class ListExpressionHelperEx<E>
    extends ListListenerHelperEx<E>

A utility class to support notifications for an `ListExpression`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.gef.common.collections.ListListenerHelperEx

`ListListenerHelperEx.AtomicChange<E>, ListListenerHelperEx.ElementarySubChange<E>`

### Constructor Summary

Constructors
Constructor and Description
`ListExpressionHelperEx(ObservableListValue<E> observableValue)` Constructs a new `ListExpressionHelperEx` for the given source `ObservableListValue`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(ChangeListener<? super ObservableList<E>> listener)` Adds a new `ChangeListener` to this `ListExpressionHelperEx`.
`void` `fireValueChangedEvent()` Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `ListChangeListeners`.
`void` `fireValueChangedEvent(ListChangeListener.Change<? extends E> change)` Fires notifications to all attached `InvalidationListeners`, and `ListChangeListeners`.
`void` `removeListener(ChangeListener<? super ObservableList<E>> listener)` Removes the given `ChangeListener` from this `ListChangeListener`.

### Methods inherited from class org.eclipse.gef.common.collections.ListListenerHelperEx

`addListener, addListener, getElementaryChanges, getSource, notifyInvalidationListeners, notifyListChangeListeners, removeListener, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListExpressionHelperEx

    public ListExpressionHelperEx(ObservableListValue<E> observableValue)

Constructs a new `ListExpressionHelperEx` for the given source `ObservableListValue`.

Parameters:
  `observableValue` - The observableValue `ObservableList`, which is used in change notifications.

### Method Detail

#### addListener

    public void addListener(ChangeListener<? super ObservableList<E>> listener)

Adds a new `ChangeListener` to this `ListExpressionHelperEx`. If the same listener is added more than once, it will be registered more than once and will receive multiple change events.

Parameters:
  `listener` - The listener to add.

#### fireValueChangedEvent

    public void fireValueChangedEvent()

Fires notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `ListChangeListeners`.

#### fireValueChangedEvent

    public void fireValueChangedEvent(ListChangeListener.Change<? extends E> change)

Fires notifications to all attached `InvalidationListeners`, and `ListChangeListeners`.

Overrides:
  `fireValueChangedEvent` in class `ListListenerHelperEx<E>`
Parameters:
  `change` - The change that needs to be propagated.

#### removeListener

    public void removeListener(ChangeListener<? super ObservableList<E>> listener)

Removes the given `ChangeListener` from this `ListChangeListener`. If it was registered more than once, removes only one occurrence.

Parameters:
  `listener` - The listener to remove.